/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.example;

import org.eclipse.swt.SWT;
import org.fortiss.tooling.spiderchart.plotter.SpiderChartPlot;

@SuppressWarnings("javadoc")
public final class Nexus implements SpiderChartPlot {

	/** {@inheritDoc} */
	@Override
	public double[] dataPoints() {
		final double[] data = {4, 3, 3, 4.1, 3};
		return data;
	}

	/** {@inheritDoc} */
	@Override
	public int areaColor() {
		return SWT.COLOR_DARK_MAGENTA;
	}

	/** {@inheritDoc} */
	@Override
	public String name() {
		return "Nexus 6";
	}
}
